| ghc-6.10.4: The GHC API | Contents | Index

MachCodeGen

Synopsis

cmmTopCodeGen :: RawCmmTop -> NatM [NatCmmTop]
type InstrBlock = OrdList Instr

Documentation
cmmTopCodeGen :: RawCmmTop -> NatM [NatCmmTop]
type InstrBlock = OrdList Instr
`InstrBlock`s are the insn sequences generated by the insn selectors. They are really trees of insns to facilitate fast appending, where a left-to-right traversal (pre-order?) yields the insns in the correct order.
Produced by Haddock version 2.4.2